// See https://aka.ms/new-console-template for more information

using resequence_pgsql;

if (args.Length == 0)
{
    using (PGHelper pg = new PGHelper())
    {
        pg.ResequenceTables();
    }
}
else
{
    ArgSimple arg = ArgHelper.GetArgs(args);
    using (PGHelper pg = new PGHelper(arg.ip, arg.un, arg.pwd, arg.lip, arg.port, arg.db))
    {
        pg.ResequenceTables();
    }
}
Console.WriteLine("Re-sequencing Ids in database.");
